### Before submitting an issue

RaspAP is a project currently led by one developer (Billz) in his limited spare time. As a result, I'm not able to respond to every troubleshooting request in a timely manner. If your issue is of a general nature (for example, "Is it possible to do 'x' with my RPi?") and not directly related to a defect with this project, try searching the official [Raspberry Pi forums](https://www.raspberrypi.org/forums/) or [Raspberry Pi on Stack Exchange](https://raspberrypi.stackexchange.com/). Chances are your question has been discussed and answered on one of these forums. 

In most cases, RaspAP functions very well "out of the box" on fresh installs of the latest Raspbian distribtion (currently Stretch; the Lite version is recommended) on recent hardware like the RPi 3 Model B. Alternate hardware platforms such as the Banana Pi and operating systems other than Raspbian are not supported. If you have installed other software packages on top of RaspAP, particularly those related to networking such as TOR or OpenVPN, please test RaspAP first on a fresh install before reporting an issue.

The [FAQs](https://github.com/billz/raspap-webgui/wiki/FAQs) have answers to many common issues. Kindly refer to this before creating a new issue. 

If, after searching these community forums and consulting the FAQ, your issue still persists please provide as much detailed information as possible. Incomplete issue reports will not be considered. 

### Subject of the issue
Describe your issue here.

### Your environment
* Raspberry Pi hardware (examples: Pi 3 Model B, Pi 2 Model B, Pi 1 Model B+, Pi Zero)  
* Raspbian version (examples: Stretch, Jessie)
* RaspAP Quick Install or Manual setup?
* Other software or services running with RaspAP?

### Steps to reproduce
Tell us how to reproduce this issue.

### Expected behaviour
Tell us what should happen.

### Actual behaviour
Tell us what happens instead.
